<?php

namespace Blog\DB;


class Blog extends DB
{
    public function createBlog($data)
    {
        $this->enableExceptions(false);
        $stmt = $this->prepare("INSERT INTO blogs (slug, title, content) VALUES (:slug, :title, :content)");
        $stmt->bindValue(':slug', $data['slug'], SQLITE3_TEXT);
        $stmt->bindValue(':title', $data['title'], SQLITE3_TEXT);
        $stmt->bindValue(':content', $data['content'], SQLITE3_TEXT);
        $res = $stmt->execute();
        return $res;
    }
}
